linux下qt的qquick运行出错

晒太阳 2020-06-09 11:10:13
刚接触开发板嵌入这块,要求是要在开发板里面显示qml文件。
环境都配置好了,qt在linux下也可以直接通过ip地址传文件给开发板,在开发板上显示。但问题就是,qtwidget下是没有任何问题,一到qtquick下,就各种报错出错。这几天也查了很多资料,始终没有解决。
这是按照板子公司发的用户手册release的。

上网查了查,好像release是不支持qml的。后来又用回dubug,还是出错。这时候貌似是说linuxfb只支持基于软件的渲染方式,不支持OPENGL的渲染方式,即qt quick2方式的QML程序都不被支持(https://www.kanzhun.com/jiaocheng/260409.html)

现在问题是,得知了大概的方向,刚入门的我也不知道该如何去改和调试,有点无从下手。
或者,有大佬发现了真正的原因的话,希望能得到大家的帮助。
...全文
335 回复 打赏 收藏 举报
写回复
回复
切换为时间正序
请发表友善的回复…
发表回复
相关推荐
发帖
非技术区

1063

社区成员

硬件/嵌入开发 非技术区
社区管理员
  • 非技术区社区
加入社区
帖子事件
创建了帖子
2020-06-09 11:10
社区公告
暂无公告